<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.arm.courses.sf.ssm.springboot.dao.UserMapper">
    <select id="findAllUsers" resultType="User">
        select *
        from `t_user`
    </select>

    <select id="findUserById" parameterType="int" resultType="User">
        select *
        from `t_user`
        where id = #{id}
    </select>
</mapper>